View Issue Details

IDProjectCategoryView StatusLast Update
16547Bug reportsPluginspublic2020-08-26 09:36
Reportereddylackmann Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.6 
Target Version4.0.x 
Summary16547: Action buttons don't work on plugin details page (Plugin management)
DescriptionActions "Activate" / "Deactivate" are not working on the plugin detail pages. The button is there but no action is assigned to it.
Steps To Reproduce- Go to "Configuration" -> "Plugin manager"
- Click on a Plugin to acced the details page.
- Try to Activate / deactivate the plugin .
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.6 + 200727
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql/postgres ....
Server OS (if known)
Webserver software & version (if known)
PHP Version5.6 / 7.4

Activities

eddylackmann

eddylackmann

2020-07-30 13:17

administrator  

plugin.PNG (38,540 bytes)   
plugin.PNG (38,540 bytes)   
gabrieljenik

gabrieljenik

2020-08-24 21:41

developer   ~59599

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1563

user225042

2020-08-25 11:43

  ~59603

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1:Before pulling PR, on clicking on Activate plugin nothing was happening
Screenshot 2:After pulling the PR on clicking on Activate plugin is been activated and was able to successfully deactive plugin
Please refer the attachment for more details
16547_BeforePR.png (89,178 bytes)   
16547_BeforePR.png (89,178 bytes)   
16547_AfterPR.png (79,201 bytes)   
16547_AfterPR.png (79,201 bytes)   
gabrieljenik

gabrieljenik

2020-08-25 15:39

developer   ~59611

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30422
lime_release_bot

lime_release_bot

2020-08-26 09:36

administrator   ~59613

Fixed in Release 4.3.14+200826

Related Changesets

LimeSurvey: master 7886fa52

2020-08-25 15:39:03

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16547: Action buttons don't work on plugin details page (Plugin management) (#1563)

Reused getActivateButton() and getDeactivateButton() from Plugin model. Had to change the methods to 'public'.
Affected Issues
16547
mod - application/models/Plugin.php Diff File
mod - application/views/admin/pluginmanager/overview.php Diff File

Issue History

Date Modified Username Field Change
2020-07-30 13:17 eddylackmann New Issue
2020-07-30 13:17 eddylackmann Status new => assigned
2020-07-30 13:17 eddylackmann Assigned To => cdorin
2020-07-30 13:17 eddylackmann File Added: plugin.PNG
2020-08-20 15:24 cdorin Assigned To cdorin => gabrieljenik
2020-08-24 21:41 gabrieljenik Note Added: 59599
2020-08-25 11:43 user225042 Note Added: 59603
2020-08-25 11:43 user225042 File Added: 16547_BeforePR.png
2020-08-25 11:43 user225042 File Added: 16547_AfterPR.png
2020-08-25 15:39 gabrieljenik Changeset attached => LimeSurvey master 7886fa52
2020-08-25 15:39 gabrieljenik Note Added: 59611
2020-08-25 15:39 gabrieljenik Resolution open => fixed
2020-08-26 09:36 lime_release_bot Note Added: 59613
2020-08-26 09:36 lime_release_bot Status assigned => closed